
// ---------------------------------------MyService.js
SConnect.RegisterNamespace("MyCompany.MyOnCardApp");

MyCompany.MyOnCardApp.MyService = function(readerName,portNum,serviceName){
	this.marshaller = new SConnect.Marshaller(readerName,portNum,serviceName,0x5865A1, 0x09A7);
}

MyCompany.MyOnCardApp.MyService.prototype = {

	MySampleMethod : function(){
		return this.marshaller.invoke(0, 0xEEDF, MARSHALLER_TYPE_RET_STRING);
	},

	dispose : function(){
		this.marshaller.dispose();
	}

};
